{
  "id": "65ee1b48edad2954c6080431",
  "source": "http",
  "type": "go-function",
  "title": "http.func CanonicalHeaderKey ¶",
  "content": "# http.func CanonicalHeaderKey ¶\n\n```\nfunc CanonicalHeaderKey(s string) string\n```\n\nCanonicalHeaderKey returns the canonical format of the\nheader key s. The canonicalization converts the first\nletter and any letter following a hyphen to upper case;\nthe rest are converted to lowercase. For example, the\ncanonical key for \"accept-encoding\" is \"Accept-Encoding\".\nIf s contains a space or invalid header field bytes, it is\nreturned without modifications.",
  "url": "https://pkg.go.dev/http#func CanonicalHeaderKey ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func CanonicalHeaderKey(s string) string",
    "symbol": "func CanonicalHeaderKey ¶"
  },
  "hash": "5ee382fb9f4925b7e1b28ac65e836e1527a870f5f5435af7f924377207bef78d",
  "timestamp": "2026-02-19T12:17:17.237466038+01:00"
}